INSERT INTO procs set name='Infos pour recherche de doublons - Liste par panier(s) de lecteurs - Tri par localisation, (groupe), nom, prénom', requete='SELECT location_libelle as Localisation, empr_categ.libelle as \'Catégorie\', empr_codestat.libelle as \'Code_stat\', statut_libelle as \'Statut\', libelle_groupe as Groupe, id_empr as \"Identofiant\", empr_cb as Numéro, empr_nom as Nom, empr_prenom as Prénom, (CASE empr_sexe WHEN \'1\' THEN \'M\' WHEN \'2\' THEN \'F\' ELSE \' \' END) as Sexe, empr_year as Année, (CASE WHEN id_empr = pret_idempr THEN \"oui\" ELSE \"non\" END) As \"Prêt en cours ?\", date_format(date(empr_creation), \'%d/%m/%Y\') as \'Date_inscript\', date_format(empr_date_adhesion, \'%d/%m/%Y\') as \'Début_abonnem\', date_format(empr_date_expiration, \'%d/%m/%Y\') as \'Fin_abonnem\' FROM (((((((empr_caddie_content, empr LEFT JOIN empr_groupe ON empr_id = id_empr) LEFT JOIN groupe ON groupe_id = id_groupe)  LEFT JOIN docs_location ON empr_location = idlocation) LEFT JOIN  empr_categ ON id_categ_empr=empr_categ) LEFT JOIN empr_codestat ON empr_codestat = idcode) LEFT JOIN empr_statut ON empr_statut = idstatut) LEFT JOIN pret ON pret_idempr = id_empr) WHERE empr_caddie_id in (!!CADDIE!!) and object_id=id_empr GROUP BY empr_cb ORDER BY location_libelle, (CASE (!!choix!!) WHEN \'1\' THEN libelle_groupe ELSE \'\' END), empr_nom, empr_prenom', comment='Localisation, catégorie, code stat, statut, (groupe), identifiant, numéro, nom, prénom, sexe, année, prêts en cours, dates', autorisations='1', parameters='<?xml version=\"1.0\" encoding=\"utf-8\"?>
<FIELDS>
 <FIELD NAME=\"CADDIE\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Nom du panier]]></ALIAS>
  <TYPE>query_list</TYPE>
<OPTIONS FOR=\"query_list\">
 <QUERY>SELECT idemprcaddie, name FROM empr_caddie ORDER BY name</QUERY>
 <MULTIPLE>yes</MULTIPLE>
 <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
 <FIELD NAME=\"choix\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Tri par localisation, catégorie, ensuite]]></ALIAS>
  <TYPE>list</TYPE>
<OPTIONS FOR=\"list\">
 <MULTIPLE>no</MULTIPLE>
 <ITEMS>
  <ITEM VALUE=\"1\">Groupe, nom, prénom</ITEM>
  <ITEM VALUE=\"2\">Nom et prénom</ITEM>
 </ITEMS>
 <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
</FIELDS>' 
#charset=utf-8